Index: palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4670)
+++ palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4671)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Implementation of downward facing USM and LSM surfaces
+!
+! 4669 2020-09-09 13:43:47Z pavelkrc
 ! - Fix missing call of radiation after spinup
 ! - Fix calculation of force_radiation_call
@@ -101,5 +104,4 @@
     USE control_parameters,                                                                        &
         ONLY:  averaging_interval_pr,                                                              &
-               calc_soil_moisture_during_spinup,                                                   &
                constant_diffusion,                                                                 &
                constant_flux_layer,                                                                &
@@ -161,5 +163,4 @@
     USE land_surface_model_mod,                                                                    &
         ONLY:  lsm_energy_balance,                                                                 &
-               lsm_soil_model,                                                                     &
                lsm_swap_timelevel
 
@@ -204,9 +205,6 @@
 
     USE urban_surface_mod,                                                                         &
-        ONLY:  usm_material_heat_model,                                                            &
-               usm_material_model,                                                                 &
-               usm_surface_energy_balance,                                                         &
-               usm_swap_timelevel,                                                                 &
-               usm_green_heat_model
+        ONLY:  usm_energy_balance,                                                                 &
+               usm_swap_timelevel
 
 
@@ -261,10 +259,12 @@
 !-- unknown. A minimum velocity of 0.1 m/s is used to maintain turbulent transfer at the surface.
     IF ( land_surface )  THEN
-       DO  m = 1, surf_lsm_h%ns
-          i   = surf_lsm_h%i(m)
-          j   = surf_lsm_h%j(m)
-          k   = surf_lsm_h%k(m)
-          u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
-          v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
+       DO  l = 0, 1
+          DO  m = 1, surf_lsm_h(l)%ns
+             i   = surf_lsm_h(l)%i(m)
+             j   = surf_lsm_h(l)%j(m)
+             k   = surf_lsm_h(l)%k(m)
+             u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
+             v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
+          ENDDO
        ENDDO
 
@@ -281,10 +281,12 @@
 
     IF ( urban_surface )  THEN
-       DO  m = 1, surf_usm_h%ns
-          i   = surf_usm_h%i(m)
-          j   = surf_usm_h%j(m)
-          k   = surf_usm_h%k(m)
-          u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
-          v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
+       DO  l = 0, 1
+          DO  m = 1, surf_usm_h(l)%ns
+             i   = surf_usm_h(l)%i(m)
+             j   = surf_usm_h(l)%j(m)
+             k   = surf_usm_h(l)%k(m)
+             u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
+             v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
+          ENDDO
        ENDDO
 
@@ -343,9 +345,11 @@
 !--       Map air temperature to all grid points in the vicinity of a surface element
           IF ( land_surface )  THEN
-             DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)
-                j   = surf_lsm_h%j(m)
-                k   = surf_lsm_h%k(m)
-                pt(k,j,i) = pt_spinup
+             DO  l = 0, 1
+                DO  m = 1, surf_lsm_h(l)%ns
+                   i   = surf_lsm_h(l)%i(m)
+                   j   = surf_lsm_h(l)%j(m)
+                   k   = surf_lsm_h(l)%k(m)
+                   pt(k,j,i) = pt_spinup
+                ENDDO
              ENDDO
 
@@ -361,12 +365,14 @@
 
           IF ( urban_surface )  THEN
-             DO  m = 1, surf_usm_h%ns
-                i   = surf_usm_h%i(m)
-                j   = surf_usm_h%j(m)
-                k   = surf_usm_h%k(m)
-                pt(k,j,i) = pt_spinup
-                !!!!!!!!!!!!!!!!HACK!!!!!!!!!!!!!
-                surf_usm_h%pt1(m) = pt_spinup
-                !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+             DO  l = 0, 1
+                DO  m = 1, surf_usm_h(l)%ns
+                   i   = surf_usm_h(l)%i(m)
+                   j   = surf_usm_h(l)%j(m)
+                   k   = surf_usm_h(l)%k(m)
+                   pt(k,j,i) = pt_spinup
+                   !!!!!!!!!!!!!!!!HACK!!!!!!!!!!!!!
+                   surf_usm_h(l)%pt1(m) = pt_spinup
+                   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+                ENDDO
              ENDDO
 
@@ -430,24 +436,5 @@
              IF ( land_surface )  THEN
 
-!
-!--             Call for horizontal upward-facing surfaces
-                CALL lsm_energy_balance( .TRUE., -1 )
-                CALL lsm_soil_model( .TRUE., -1, calc_soil_moisture_during_spinup )
-!
-!--             Call for northward-facing surfaces
-                CALL lsm_energy_balance( .FALSE., 0 )
-                CALL lsm_soil_model( .FALSE., 0, calc_soil_moisture_during_spinup )
-!
-!--             Call for southward-facing surfaces
-                CALL lsm_energy_balance( .FALSE., 1 )
-                CALL lsm_soil_model( .FALSE., 1, calc_soil_moisture_during_spinup )
-!
-!--             Call for eastward-facing surfaces
-                CALL lsm_energy_balance( .FALSE., 2 )
-                CALL lsm_soil_model( .FALSE., 2, calc_soil_moisture_during_spinup )
-!
-!--             Call for westward-facing surfaces
-                CALL lsm_energy_balance( .FALSE., 3 )
-                CALL lsm_soil_model( .FALSE., 3, calc_soil_moisture_during_spinup )
+                CALL lsm_energy_balance( .TRUE. )
 
              ENDIF
@@ -457,9 +444,5 @@
              IF (urban_surface) THEN
 
-                CALL usm_surface_energy_balance( .TRUE. )
-                IF ( usm_material_model )  THEN
-                   CALL usm_green_heat_model
-                   CALL usm_material_heat_model( .TRUE. )
-                ENDIF
+                CALL usm_energy_balance( .TRUE. )
 
              ENDIF
